This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 351421 - nm-applet can't connect WPA networks in last rawhide version (NetworkManager-gnome-0.7.0-0.3.svn3014.fc8)
nm-applet can't connect WPA networks in last rawhide version (NetworkManager-...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
i686 Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-24 18:24 EDT by Adrien Bustany
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 19:07:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (8.23 KB, text/plain)
2007-10-24 18:24 EDT, Adrien Bustany
no flags Details

  None (edit)
Description Adrien Bustany 2007-10-24 18:24:33 EDT
Description of problem:
When trying to connect a WPA network through the applet, the applet will crash

Version-Release number of selected component (if applicable):
NetworkManager-gnome-0.7.0-0.3.svn3014.fc8 (and -gnome too)

How reproducible:
Connect to a WPA/PSK (TKIP) network with the applet

Actual results:
The applet crashes

Expected results:
Well, I let you guess :-)

Additional info:
see attachment for backtrace
Comment 1 Adrien Bustany 2007-10-24 18:24:33 EDT
Created attachment 236721 [details]
backtrace
Comment 2 Adrien Bustany 2007-10-24 18:55:38 EDT
Tested with the svn3016 release, crashes too...

In the console I get a lot of
Error in get_property: Method "Get" with signature "ss" on interface
"org.freedesktop.DBus.Properties" doesn't exist

Driver : iwl3945
Comment 3 Adrien Bustany 2007-10-24 19:05:37 EDT
Here's the log of me (webustany) telling wwoods how I removed this behaviour,
this may be filed as another bug :

<webustany> actually, I was tired of unlocking the keyring at each login
<webustany> so I created an empty "login" keyring
<webustany> but even if I checked the "unlock at login" case, it still asked me
for the password
<webustany> si I set login as the default keyring, and added a few passes to it
<webustany> didn't work eithe
<webustany> r
<webustany> so I restored my default keyring, and let login
<webustany> then, nm would first ask me to unlock login, then to unlock default
<webustany> and crash
<webustany> I removed the login keyring, and everything works fine
<webustany> hard to guess huh ? :)

Note You need to log in before you can comment on or make changes to this bug.